/* Estilos generales */
body {
  background-color: #ffffff;
  font-family: 'Roboto', sans-serif;
  margin: 0;
  padding: 0;
  color: #333;
}

h1,
h2,
h3,
h4 {
  font-family: 'Playfair Display', serif;
  font-family: "Montserrat", serif;
  font-weight: 700;
  font-style: normal;
  font-optical-sizing: auto;
}

.container {
  width: 90%;
  max-width: 1200px;
  margin: 0 auto;
}

html {
  scroll-behavior: smooth;
}

.top-header {
  position: relative;
  display: inline-block;
  padding-left: 3cap;
  color: #ffa600;

  padding-bottom: 5px;
}
/* Encabezado */
header {
  background: white;
  color: #cccccc;
  padding: 0;
}

img {
  width: 180px;
  max-width: 1800px;
  margin: 0 auto;
}

header div {
  display: flex;
  justify-content: space-around;
  align-items: center;
  height: 100px;
}

header h1 {
  transform: translate(-2px);
  margin: 0;
  font-size: 2.5rem;
  justify-content: center;
}


/* Estilos personalizados para el navbar */
.navbar {
  padding: 10px 0;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  /* Sombra suave */
}

.navbar-brand img {
  max-height: 88px;
  /* Ajusta el tamaño del logo */
}

.navbar-nav .nav-link {
  color: #f9aa3d;
  /* Color del texto */
  font-weight: 500;
  margin: 0 15px;
  /* Espacio entre enlaces */
  transition: color 0.3s ease;
}

.navbar-nav .nav-link:hover {
  color: #ffffff;
  /* Color al hacer hover */
}

.navbar-nav .dropdown-menu {
  background-color: #f8f9fa;
  /* Fondo del menú desplegable */

  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}

.navbar-nav .dropdown-item {
  color: #333;
  text-align: center;
  /* Color del texto en el menú desplegable */
  transition: background-color 0.3s ease;

}

.navbar-nav .dropdown-item:hover {
  background-color: #f9aa3d;
  /* Fondo al hacer hover */
  color: #ffffff;
  /* Color del texto al hacer hover */
}

/* Icono del carrito */
.navbar .fa-square-whatsapp {
  font-size: 3rem;
  color: #02ff4e;
  transition: color 0.3s ease;
  margin-right: 5cap;
}


/* Ajustes para dispositivos móviles */
@media (max-width: 991.98px) {
  .navbar-nav {
    text-align: center;
    /* Centra los enlaces en móviles */

  }

  .navbar-nav .nav-link {
    text-align: left;
    padding-right: cap;
    padding-right: 80px;
    color: #f9aa3d;
    /* Espacio entre enlaces en móviles */
  }


  /* Fondo del menú */
  .navbar-collapse {
    border-radius: 20px;
    margin-left: -110px;
     background-color: rgba(2, 10, 25, 0.483);
    /* Fondo del menú colapsado */
    padding: 130px;
    backdrop-filter: blur(5px);
    /* Fondo del menú colapsado */

  }
}


.header-contact .widget-text {
  position: relative;
  padding-left: 40px;
}

.header-contact .widget-text i {
  position: absolute;
  border-radius: 2px;
  text-align: left;
  left: 0;
  line-height: 50px;
  color: #267800;
  font-size: 36px;
  -webkit-transition: all .3s ease;
  transition: all .3s ease;
  font-weight: 700;
}

.header-contact .widget-text .info-text a {
  color: #cccccc;
  font-weight: 400;
  font-size: 16px;
}

a {
  color: #cccccc;
  transition: all 0.3s ease 0s;
  text-decoration: none !important;
  outline: none !important;
}

.header-contact .widget-text .info-text span {
  display: block;
  font-weight: 700;
  color: #cccccc;
  line-height: 18px;
}

/* Sección inter */
#inter {
  background: #f9fcff;
  color: #333;
  text-align: center;
  padding: 50px 0;

}

/* Sección Hero */
#hero {
  background: url('images/herrero.jpeg') no-repeat center center/cover;
  color: #ffffb5;
  text-align: left;
  text-shadow: 1px 1px 2px black;
  padding: 100px 0;
}

#hero h2 {
  font-size: 3rem;
  margin-bottom: 20px;
}

#hero .btn {
  background: #f9aa3d;
  color: #fff;
  padding: 10px 20px;
  text-decoration: none;
  border-radius: 1px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);

}

#hero .btn:hover {
  background-color: #ffffff;
  color: #f9aa3d;
}

.about-section {
  padding: 50px;
  text-align: center;
  background-color: #F9FCFF;
  color: rgb(65, 65, 65);
}

/* Sección Servicios */
#servicios {
  margin-top: 20px;
  padding: 20px 0;
  text-align: center;
}

.servicios-grid {
  display: grid;
  padding: 30px;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
}

.servicio {
  background: #f9fcff;
  color: #8e8d8d;
  padding: 20px;
  border-radius: 10px;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.2);
}

.servicios-grid .servicio:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
  padding: auto;
}

.servicio .card style:hover {
  display: block;
}

/* Sección Galería */
#galeria {
  padding-top: 10px; 
  text-align: center;
  background: #ffffff;

}

@media (max-width: 767.98px) {
    #galeria {
        padding-top: 75px; /* Ajusta este valor para móviles */
    }
}

.galeria-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 20px;
  padding: 0 20px;
}

.galeria-grid img {
  border-radius: 10px;
  height: 200px;
  width: 80%;
  object-fit: cover;
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.galeria-grid img:hover {
  transform: scale(1.05);
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
}

.galeria-img {
  margin-bottom: 30px;
}

.galeria-img h3 {
  font-size: 1.5rem;
  margin-bottom: 15px;
  color: #333;
}

.galeria-img p {
  font-size: 1rem;
  color: #666;
  margin-bottom: 20px;
}

/* Sección Contacto */
#contacto {
  text-align: center;
  padding: 10px;
  padding-bottom: 50px;
}

/* Sección Contacto */
#contacto {
  text-align: center;
  padding: 1px;
  padding-bottom: 50px;
}

.no_line {

  padding: 10px;

}

form {
  display: flex;
  flex-direction: column;
  gap: 15px;
  max-width: 500px;
  margin: 0 auto;
}

form input,
form textarea {
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.fa-phone {
  color: #FFB000;
  ;
}

form button {
  background: #FFB000;
  color: #fff;
  padding: 10px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  transition: all 0.5s;
}

form button span {
  cursor: pointer;
  display: inline-block;
  position: relative;
  transition: 0.5s;
}

form button span:after {
  content: '\00bb';
  color: #fff;
  position: absolute;
  opacity: 0;
  top: 0;
  right: -30px;
  transition: 0.5s;
}

form button:hover {
  background-color: #f4f4f4;
  padding-right: 25px;
  color: #FFB000;
}

form button:hover span:after {
  opacity: 1;
  right: 0;
}



/* Pie de Página */
footer {
  background: #212529;
  color: #fff;
  text-align: center;
  padding: 20px 0;
  box-shadow: 0 0 20px rgba(0, 0, 0, 0.5);
}

.carousel {
  background: rgb(33, 37, 41);
  background: linear-gradient(180deg, rgba(33, 37, 41, 1) 0%, rgba(45, 50, 55, 1) 35%, rgba(224, 233, 242, 0.35066526610644255) 100%);
}

/* Articulo*/

/* Estilos generales */
.herramientas-section {
  padding: 50px 0;
  background: rgb(33, 37, 41);
  background: linear-gradient(180deg, rgba(33, 37, 41, 1) 0%, rgba(45, 50, 55, 1) 35%, rgba(224, 233, 242, 0.35066526610644255) 100%);
  color: #c2c2c2;
  text-shadow: 1px 1px 2px black;
}

.herramientas-section2 {
  padding: 50px 0;
  background: linear-gradient(180deg, rgba(33, 37, 41, 1) 0%, rgba(45, 50, 55, 1) 35%, rgba(224, 233, 242, 0.35066526610644255) 100%);
  color: #cecece;
  text-shadow: 1px 1px 2px black;
}

.container {
  width: 90%;
  max-width: 1200px;
  margin: 0 auto;
}

.content-wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
}

.text-column,
.image-column {
  flex: 1;
  min-width: 300px;
  /* Asegura que no se rompa en pantallas pequeñas */
}

/* Estilos para el texto */
h2 {
  font-size: 2em;
  margin-bottom: 10px;
  color: #c1c1c1;
}

p {
  font-size: 1em;
  color: #ffb000;
  line-height: 1.6;
  margin-bottom: 20px;
}

h4 {
  font-size: 1.2em;
  color: #FFB000;
  margin-bottom: 10px;
}

/* Divisor */
.divider img {
  display: block;
  margin: 6px 0;
  position: relative;
}


/* Vista previa del catálogo */
.catalog-preview {
  position: relative;
  margin: 20px 0;
}

.catalog-preview img {
  display: ruby-base;
  width: 210px;
  height: 210px;
  border: 1px solid #ccc;
  border-radius: 5px;
}

.catalog-title {
  display: block;
  margin-top: 10px;
  font-size: 1.5em;
  color: #FFB000;
}

/* Botón de contacto */
.contact-button {
  display: inline-block;
  padding: 10px 20px;
  background-color: #FFB000;
  color: #fff;
  text-decoration: none;
  font-size: 1em;
  border-radius: 2px;
  transition: background-color 0.3s ease;
}

.contact-button:hover {
  background-color: #ffffff;
  color: #f9aa3d;
}

/* Imagen */
.image-column img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 10px;
}

/* Articulo*/

/* Address */

.address-contact .widget-text {
  position: relative;
  padding-top: 15px;
  padding-bottom: 20px;
  background: 3%;
}

.address-contact .widget-text i {
  position: center;
  border-radius: 2px;
  text-align: center;
  padding: auto;
  padding-bottom: 20px;
  left: 0;
  line-height: 40px;
  color: #267800;
  font-size: 40px;
  -webkit-transition: all .3s ease;
  transition: all .3s ease;
  font-weight: 700;
}

.address-contact .widget-text .info-text a {
  color: #808000;
  font-weight: 400;
  font-size: 30px;

}

a {
  color: #4a4a4a;
  transition: all 0.3s ease 0s;
  text-decoration: none !important;
  outline: none !important;
}

.address-contact .widget-text .info-text span {
  display: block;
  font-weight: 700;
  color: #808000;
  line-height: 18px;
}

.address {
  display: flex;
  justify-content: space-between;
  gap: 20px;
  padding-bottom: 50px;
  padding-top: 3px;

}

.columna {

  display: center;
  width: 100%;
  height: 100%;

}


.formulario {
  padding-top: 30px;
  display: center;
  width: 100%;
  height: 350px;
}



iframe {
  width: 70%;
  height: 350px;
  border-radius: 2%;
}

/* Estilos para el modal */
.modal {
  display: none;
  /* Oculta el modal por defecto */
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  /* Fondo oscuro semi-transparente */
  justify-content: center;
  align-items: center;
  z-index: 1000;
  /* Asegura que el modal esté por encima de otros elementos */
}

.modal-content {
  background-color: #fff;
  padding: 20px;
  border-radius: 10px;
  width: 90%;
  max-width: 500px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
  position: relative;
}

.modal-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #ddd;
  padding-bottom: 10px;
  margin-bottom: 10px;
}

.modal-title {
  margin: 0;
  font-size: 1.5em;
}

.btn-close {
  background: none;
  border: none;
  font-size: 1.5em;
  cursor: pointer;
  color: #000;
}

.modal-body {
  margin-bottom: 20px;
}

.modal-footer {
  text-align: right;
}